///////////////////////////////////////////////////////////
// Author:			Stefan Liersch
// Contact:			stefan.liersch@googlemail.com,
//					stefan.liersch@ufz.de
//
// Date:			2008-04-11
// last modified:	2008-04-11
//
//---------------------------------------------------------
// DESCRIPTION
//---------------------------------------------------------
//
//---------------------------------------------------------
// ToDo
//---------------------------------------------------------
//
///////////////////////////////////////////////////////////

#ifndef HEADER_INCLUDED__PG_MENU_DB_SOIL_SALINITY_H
#define HEADER_INCLUDED__PG_MENU_DB_SOIL_SALINITY_H
//---------------------------------------------------------------------

#include "saga_api/saga_api.h"
//---------------------------------------------------------------------

class Cpg_menu_db_soil_salinity
{
public:
	Cpg_menu_db_soil_salinity(void);
	~Cpg_menu_db_soil_salinity(void);

	void					Export_Shape_As_SoilSalinityBase_Map();

protected:

	CSG_String				m_PK_colname;


	virtual void			Load_Map();

	virtual CSG_String		Get_Feature_Name(CSG_Data_Object* pObject);

	virtual void			Set_Feature_Name(CSG_Data_Object* pObject);

	//-----------------------------------------------------------------
	//	EXPORT FUNCTIONS
	//-----------------------------------------------------------------
	void					Add_PK_Field_To_AttributeTable(CSG_Shapes* pShapesOut);

	void					Create_External_Attributes(const char* tablename);
	void					Create_SoilSalinityAssessment_Attributes(const char* tablename);
	void					Create_ParameterSettings_Attributes(const char* tablename);
	void					Create_ParameterWeights(const char* tablename);
	void					Insert_DefaultWeights(const char*tablename);

	CSG_Shapes*				Select_Shapefile_for_Export();

	virtual CSG_String		Get_Shape_Output_Name(CSG_Shapes* pShapes);

	void					Add_IDs_To_PK_Field(CSG_Shapes* pShapesOut);



	//-----------------------------------------------------------------
	//	IMPORT FUNCTIONS
	//-----------------------------------------------------------------
	CSG_Data_Object*		Select_Import_Map();

	virtual void			Add_Specific_Fields(CSG_Data_Object* pObject);


	CSG_Shapes*				m_pShapes;
	CSG_String				m_FeatureName;
};


#endif /* HEADER_INCLUDED__PG_MENU_DB_SOIL_SALINITY_H */

